/v1/merchants/{merchant_code}/persons/{person_id}Returns a single Person related to a Merchant.
OAuth scopes: Requires one of: user.profile, user.profile_readonly.
Required permissions:
persons_read
Path parameters
Short unique identifier for the merchant.
Example:
"MK10CL2A"Person ID
Example:
"pers_5AKFHN2KSK8D3TS79DJE3P3A2Z"
Responses
200application/json
Returns a Person for a valid identifier.
The unique identifier for the Person. This is a typeid.
Example:
"pers_2EGQ057R6C8J791RVCG5NWAEAB"- user_idstring
A corresponding identity user ID for the Person, if they have a user account.
Example:
"ef263f37-8701-4181-9758-acddbb778ee9" - birthdatestringformat:
dateThe date of birth of the individual, represented as an ISO 8601:2004 [ISO8601‑2004] YYYY-MM-DD format.
Example:
"1980-01-12" - given_namestringminLength:
1maxLength:60The first name(s) of the individual.
Example:
"Sofia" - family_namestringminLength:
1maxLength:60The last name(s) of the individual.
Example:
"Rossi" - phone_numberstringmaxLength:
16The (mobile) phone number of the individual (used for verification) in E.164 format.
Example:
"+420123456789" - relationshipsarray<string>
A list of roles the Person has in the Merchant or towards SumUp. A Merchant must have at least one Person with the relationship
representative. - ownershipobject
Show 1 property
- addressobject
An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain,
cityispost_town. In the United States, the top-level administrative unit used in addresses isstate, whereas in Chile it'sregion. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.Example:
{"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}Show 17 properties
- pattern:
^[A-Z]{2}$The ISO3166-1 Alpha-2 code of the address country.
Example:
"DE" - street_addressarray<string>maxLength:
100Example:
["Paul-Linke-Ufer 39-40","2. Hinterhof"] - post_codestringmaxLength:
10The postal code (aka. zip code) of the address.
Example:
"10999" - citystringmaxLength:
60The city of the address.
Example:
"Berlin" - provincestringmaxLength:
60The province where the address is located. This may not be relevant in some countries.
Example:
"Ontario" - regionstringmaxLength:
60The region where the address is located. This may not be relevant in some countries.
Example:
"Baden-Wuerttemberg" - countystringmaxLength:
60A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.
Example:
"Dublin" - autonomous_communitystringmaxLength:
60In Spain, an autonomous community is the first sub-national level of political and administrative division.
Example:
"Catalonia" - post_townstringmaxLength:
60A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.
Example:
"London" - statestringmaxLength:
60Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.
Example:
"California" - neighborhoodstringmaxLength:
60Locality level of the address. Used in countries such as Brazil or Chile.
Example:
"Copacabana" - communestringmaxLength:
60In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.
Example:
"Providencia" - departmentstringmaxLength:
60A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.
Example:
"Antioquia" - municipalitystringmaxLength:
60A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.
Example:
"Medellin" - districtstringmaxLength:
60A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.
Example:
"Lisbon" - zip_codestringmaxLength:
10A US system of postal codes used by the United States Postal Service (USPS).
Example:
"94103" - eircodestringmaxLength:
10A postal address in Ireland.
Example:
"D02 X285"
- identifiersarray<object>
A list of country-specific personal identifiers.
- citizenshipstringpattern:
^[A-Z]{2}$The Alpha-2 ISO code of the country where the Person is a citizen.
Example:
"AR" - pattern:
^[A-Z]{2}$The Person's nationality. May be an ISO3166-1 alpha-2 country code, but legacy data may not conform to this standard.
- pattern:
^[A-Z]{2}$An ISO3166-1 alpha-2 country code representing the country where the Person resides.
- versionstring
The version of the resource. The version reflects a specific change submitted to the API via one of the
PATCHendpoints.Example:
"chng_01HS0KG3MPVEVWW85E3KNXH55J" - change_statusstring
Reflects the status of changes submitted through the
PATCHendpoints for the Merchant or Persons. If some changes have not been applied yet, the status will bepending. If all changes have been applied, the statusdone. The status is only returned after write operations or on read endpoints when theversionquery parameter is provided.
404application/problem+json
The requested Person does not exist.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.